Name "Klingon Civil War"

CRCCheck on
SetCompressor lzma

Page custom brandimage "" ": Brand Image"
 Page license
 # Page components
 Page directory
 Page instfiles
 UninstPage custom un.brandimage "" ": Brand Image"
 UninstPage uninstConfirm
 UninstPage instfiles

BGGradient 000000 FF0000 FF0000
LicenseBkColor FFFFFF
InstallColors FF0000 000000
# BrandingText "tlhIngan veb rIp jom v1.0"
BrandingText " "
AddBrandingImage left 150
# caption "tlhIngan tay veS"
caption "Klingon Civil War"
# InstallButtonText "jom"
WindowIcon off
InstProgressFlags "smooth"
# DetailsButtonText "De'"
ShowInstDetails show
ShowUninstDetails show
# CompletedText "pItlh!"

OutFile "KCW.exe"

Function .onInit
	InitPluginsDir
	File /oname=$PLUGINSDIR\splash.bmp "KCW2.bmp"
	#File /oname=$PLUGINSDIR\splash.wav "C:\myprog\sound.wav"
	advsplash::show 1000 2000 400 -1  $PLUGINSDIR\splash

	Pop $0 ; $0 has '1' if the user closed the splash screen early,
			; '0' if everything closed normal, and '-1' if some error occured.
FunctionEnd

LicenseForceSelection checkbox "Accept"
LicenseText "Information"
LicenseData "Ack.rtf"

InstallDirRegKey HKLM "SOFTWARE\Taldren\Starfleet Command Orion Pirates" "Directory"
DirText "Please confirm your OP installation directory:"

Var opplus_version
Var is_installed

Section "Install"

ReadRegStr $opplus_version HKLM "SOFTWARE\FireSoul\opplus" "version"
StrCmp $opplus_version "3.4" Opplus_installed Opplus_not_installed

Opplus_installed:

ReadRegStr $is_installed HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "DisplayName"
StrCmp $is_installed "KCW Files" KCW_installed KCW_not_installed

KCW_not_installed:

CreateDirectory "$INSTDIR\KCW_backup"

CreateDirectory "$INSTDIR\KCW_backup\Assets"

CreateDirectory "$INSTDIR\KCW_backup\Assets\Specs"
CopyFiles "$INSTDIR\Assets\Specs\shiplist.txt" "$INSTDIR\KCW_backup\Assets\Specs" 2657
CopyFiles "$INSTDIR\Assets\Specs\ftrlist.txt" "$INSTDIR\KCW_backup\Assets\Specs" 29

CreateDirectory "$INSTDIR\KCW_backup\MetaAssets"
CopyFiles "$INSTDIR\MetaAssets\shiplist.txt" "$INSTDIR\KCW_backup\MetaAssets" 2657
CopyFiles "$INSTDIR\MetaAssets\ftrlist.txt" "$INSTDIR\KCW_backup\MetaAssets" 29

CreateDirectory "$INSTDIR\KCW_backup\Assets\Strings"
CopyFiles "$INSTDIR\Assets\Strings\strings.txt" "$INSTDIR\KCW_backup\Assets\Strings" 169
CopyFiles "$INSTDIR\Assets\Strings\shipnames.txt" "$INSTDIR\KCW_backup\Assets\Strings" 628

CreateDirectory "$INSTDIR\KCW_backup\Assets\Sound"
CopyFiles "$INSTDIR\Assets\Sound\sounds.txt" "$INSTDIR\KCW_backup\Assets\Sound" 156

CreateDirectory "$INSTDIR\KCW_backup\Assets\Mouse"
CopyFiles "$INSTDIR\Assets\Mouse\cursors.txt" "$INSTDIR\KCW_backup\Assets\Mouse" 1

CreateDirectory "$INSTDIR\KCW_backup\Assets\Scripts"
CopyFiles "$INSTDIR\Assets\Scripts\Kar_*.scr" "$INSTDIR\KCW_backup\Assets\Scripts"
CopyFiles "$INSTDIR\Assets\Scripts\Met_NW*.scr" "$INSTDIR\KCW_backup\Assets\Scripts"
CopyFiles "$INSTDIR\Assets\Scripts\NW*.scr" "$INSTDIR\KCW_backup\Assets\Scripts"
CopyFiles "$INSTDIR\Assets\Scripts\Met_TG*.scr" "$INSTDIR\KCW_backup\Assets\Scripts"


SetOutPath $INSTDIR\MetaAssets
File /r Shiplist\*.*
SetOutPath $INSTDIR\Assets\Specs
File /r Shiplist\*.*

SetOutPath $INSTDIR\Assets\Strings
File /r Strings\*.*
SetOutPath $INSTDIR\Assets\Sound
File /r Sound\*.*
SetOutPath $INSTDIR\Assets\Mouse
File /r Mouse\*.*

SetOutPath $INSTDIR\Assets
File /r Scripts


WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "DisplayName" "KCW Files"
WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW" "UninstallString" '"$INSTDIR\KCW_Uninstall.exe"'

SetOutPath $INSTDIR
WriteUninstaller "KCW_Uninstall.exe"
CreateDirectory "$SMPROGRAMS\KCW"
CreateShortCut "$SMPROGRAMS\KCW\Uninstall KCW Files.lnk" "$INSTDIR\KCW_Uninstall.exe"

Goto Finished_install

Opplus_not_installed:
MessageBox MB_OK|MB_ICONSTOP "OP+ 3.4 not found! KCW requires OP+ 3.4, please install it first. (KCW not installed.)" IDOK Finished_install

KCW_installed:
MessageBox MB_OK|MB_ICONSTOP "KCW already installed! Please uninstall the current version if you wish to reinstall." IDOK Finished_install

Finished_install:

SectionEnd 


Section "Uninstall"


# MessageBox MB_YESNO "Are you sure you want to uninstall KCW?" IDNO Doneuninstall

MessageBox MB_YESNO "Would you like to keep the installed multiplayer scripts?" IDYES Donescripts

Delete "$INSTDIR\Assets\Scripts\Kar_Ambushee.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_BaseAssault.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_BaseDefence.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_ConvoyEscort.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_ConvoyRaid.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_cPatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_cpPatrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_DockEscort.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_DockRaid.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_dPatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_ePatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_FleetAction_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_hlPatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_HomeworldAssault.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_HomeworldDefence.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_hPatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_jPatrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_MeleeAction_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_mPatrol.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_PirateBase.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_PlanetAssault.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_PlanetDefence.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_ShipAssault.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_ShipDefence.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_SkirmishAction.scr"
Delete "$INSTDIR\Assets\Scripts\Kar_SquadronAction_tw.scr"

Delete "$INSTDIR\Assets\Scripts\Met_NW10PatrolEnemy_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW10Patrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW11ConvoyRaid_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW12ConvoyEscort_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW16ShipDefense_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW17PatrolEnemy_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW17Patrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW18HomeworldAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW2HoldingAction_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW5PatrolAllied.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW5PatrolEnemy.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW5PatrolPlayer.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW6Patrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW7BaseStationAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW7BattleStationAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW7StarbaseAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW8ShipAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NW9PlanetaryAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWBaseStationAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWBattleStationAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWConfig.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWConvoyEscort_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWConvoyRaid_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWEnemyPatrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWOneOnOne_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWPlanetAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWPlayerBaseDefense_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWPlayerPatrol_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWPlayerPlanetDefense_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWStarbaseAssault_tw.scr"
Delete "$INSTDIR\Assets\Scripts\Met_NWTraining.scr"
Delete "$INSTDIR\Assets\Scripts\NWMissionConfig.scr"

Delete "$INSTDIR\Assets\Scripts\Met_TG1AlPtrlA_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1AlPtrlB_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1AlPtrlC_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1AlPtrlD_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1EnPtrlA_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1EnPtrlB_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1EnPtrlC_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1EnPtrlD_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1NtPtrlA_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1NtPtrlB_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1NtPtrlC_OP.scr"
Delete "$INSTDIR\Assets\Scripts\Met_TG1NtPtrlD_OP.scr"

CopyFiles "$INSTDIR\KCW_backup\Assets\Scripts\Kar_*.scr" "$INSTDIR\Assets\Scripts"
CopyFiles "$INSTDIR\KCW_backup\Assets\Scripts\Met_NW*.scr" "$INSTDIR\Assets\Scripts"
CopyFiles "$INSTDIR\KCW_backup\Assets\Scripts\NW*.scr" "$INSTDIR\Assets\Scripts"
CopyFiles "$INSTDIR\KCW_backup\Assets\Scripts\Met_TG*.scr" "$INSTDIR\Assets\Scripts"

Donescripts:


CopyFiles "$INSTDIR\KCW_backup\Assets\Specs\shiplist.txt" "$INSTDIR\Assets\Specs"
CopyFiles "$INSTDIR\KCW_backup\Assets\Specs\ftrlist.txt"  "$INSTDIR\Assets\Specs"

CopyFiles "$INSTDIR\KCW_backup\MetaAssets\shiplist.txt" "$INSTDIR\MetaAssets"
CopyFiles "$INSTDIR\KCW_backup\MetaAssets\ftrlist.txt" "$INSTDIR\MetaAssets"

CopyFiles "$INSTDIR\KCW_backup\Assets\Strings\strings.txt" "$INSTDIR\Assets\Strings"
CopyFiles "$INSTDIR\KCW_backup\Assets\Strings\shipnames.txt" "$INSTDIR\Assets\Strings"
CopyFiles "$INSTDIR\KCW_backup\Assets\Sound\sounds.txt" "$INSTDIR\Assets\Sound"
CopyFiles "$INSTDIR\KCW_backup\Assets\Mouse\cursors.txt" "$INSTDIR\Assets\Mouse"

RMDir /r "$INSTDIR\KCW_backup"


DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\KCW"

Delete "$SMPROGRAMS\KCW\*.*"
RMDir "$SMPROGRAMS\KCW"

Delete "$INSTDIR\KCW.bmp"

Delete "$INSTDIR\KCW_Uninstall.exe"

# Doneuninstall:

SectionEnd



Function brandimage
	File /oname=$INSTDIR\KCW.bmp "KCW.bmp"
        SetBrandingImage "$INSTDIR\KCW.bmp" /resizetofit
FunctionEnd


Function un.brandimage
	File /oname=$INSTDIR\KCW.bmp "KCW.bmp"
        SetBrandingImage "$INSTDIR\KCW.bmp" /resizetofit
FunctionEnd